Last Comment Bug 23605 - first-letter should include initial punctuation
: first-letter should include initial punctuation
Status: RESOLVED FIXED
[CSS1-2.4]
: css1, testcase
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: All All
: P3 normal with 2 votes (vote)
: Future
Assigned To: Mats Palmgren (:mats)
: Hixie (not reading bugmail)
:
Mentors:
http://www.hixie.ch/tests/evil/mixed/...
: 187000 (view as bug list)
Depends on: 45091 92176 54467 367177
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-10 19:43 PST by David Baron :dbaron: ⌚️UTC-8
Modified: 2007-12-05 01:36 PST (History)
14 users (show)
smontagu: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
test case described in bug report (453 bytes, text/html)
2000-01-10 19:43 PST, David Baron :dbaron: ⌚️UTC-8
no flags Details

Description David Baron :dbaron: ⌚️UTC-8 2000-01-10 19:43:34 PST
DESCRIPTION:  According to CSS2, section 5.12.2, "Punctuation (i.e, characters
defined in Unicode [UNICODE] in the "open" (Ps), "close" (Pe), and "other" (Po)
punctuation classes), that precedes the first letter should be included" in the
first-letter pseudo-element.  Currently this seems to be happening only for
quotation marks.  What really needs to happen is access of some Unicode
character database (which hopefully exists in some i18n code somewhere).

However, there are some problems with this.  In particular, if there is a
start-tag somewhere in the middle of the "first letter" (including the
punctuation), I'm not sure what to do, since I don't see a way to keep a tree
structure (which is clearly necessary).  I just suggested on www-style that in
such a case, the first-letter should not be drawn.  See
http://lists.w3.org/Archives/Public/www-style/2000Jan/0017.html for my post and
links to any replies.

STEPS TO REPRODUCE:
 * load attached test case

ACTUAL RESULTS:
 * In cases 1 and 5, only the first character is large and red.
 * In case 2, correctly, the first two characters are large and red.
 * In cases 3 and 4 I'm not seeing the initial characters because of bug [I
can't find the number.  I hope it's filed], and nothing is large and red.
 * In case 6, the first two characters are large and red.

EXPECTED RESULTS:
 * In cases 1-4, the first two characters should be large and red.
 * Case 5 is undefined, as I mentioned above.
 * In case 6, (I think!!) the first 4 characters should be large and red.

DOES NOT WORK CORRECTLY ON:
 * Linux, mozilla, 2000-01-10-08-M13

ADDITIONAL INFORMATION:
Alan Flavell pointed this bug out to me.
Comment 1 David Baron :dbaron: ⌚️UTC-8 2000-01-10 19:43:59 PST
Created attachment 4119 [details]
test case described in bug report
Comment 2 troy 2000-01-10 19:49:59 PST
Block/inline issue so assigning to Kipp's bug list
Comment 3 David Baron :dbaron: ⌚️UTC-8 2000-01-11 06:51:59 PST
See Bert Bos's reply to my message:
http://lists.w3.org/Archives/Public/www-style/2000Jan/0019.html
Comment 4 buster 2000-01-11 13:27:59 PST
mass-moving bugs to M15
Comment 5 Hixie (not reading bugmail) 2000-01-11 17:18:59 PST
See also this incomplete test page:
   http://www.bath.ac.uk/%7Epy8ieh/internet/eviltests/pseudoelements1.html
Comment 6 Hixie (not reading bugmail) 2000-01-13 15:57:59 PST
Migrating from {css1} to css1 keyword. The {css1}, {css2}, {css3} and {css-moz}
radars should now be considered deprecated in favour of keywords.
I am *really* sorry about the spam...
Comment 7 buster 2000-03-03 16:05:14 PST
mine! mine mine mine!  all mine!  whoo-hoo!
Comment 8 rickg 2000-04-07 16:39:03 PDT
moving all buster m15 bugs to m16.
Comment 9 buster 2000-04-17 14:02:49 PDT
first-letter bug fixes will be post beta
Comment 10 buster 2000-06-01 14:20:42 PDT
redistributing bugs across future milestones, sorry for the spam
Comment 11 buster 2000-06-04 21:15:52 PDT
This bug has been marked "future" because we have determined that it is not 
critical for netscape6.0. 
If you feel this is an error, or if it blocks your work in some way -- please 
attach your concern to the bug for reconsideration.
Comment 12 Hixie (not reading bugmail) 2000-12-11 16:14:27 PST
Upon managerial request, adding the "testcase" keyword to 84 open layout bugs that
do not have the "testcase" keyword and yet have an attachement with the word
"test" in the description field. Apologies for any mistakes.
Comment 13 Kevin McCluskey (gone) 2001-10-04 16:31:46 PDT
Build reassigning Buster's bugs to Marc.
Comment 14 Greg K. 2002-07-11 00:14:57 PDT
Confirmed using FizzillaCFM/2002070913. Cases 1, 3, 4, and 5 only apply the
first-letter style to the first, punctuation character. In case 2 it's applied
to both the inch mark and the capital T. In case 6 it's applied to the inch and
foot marks, but not the capital T. Setting All/All.
Comment 15 Ed Catmur 2002-09-04 18:02:18 PDT
Should this be marked as a duplicate of Bug 54467? It is the exact same bug, and
although was opened later, it has a patch attached (which appears to be stalled
awaiting benchmark tests).
Comment 16 David Baron :dbaron: ⌚️UTC-8 2002-12-28 10:53:09 PST
*** Bug 187000 has been marked as a duplicate of this bug. ***
Comment 17 Greg K. 2002-12-28 11:19:22 PST
Using FizzillaMach/2002122307, it appears bug 54467's fix has addressed some of
the tests in attachment 1 [details] [diff] [review], but not all. Specifically, examples 1 and 4 now work
correctly, but examples 3, 5, and 6 still don't.
Comment 18 Greg K. 2002-12-28 11:20:33 PST
Rather, make that attachment 4119 [details].)
Comment 19 Christopher Hoess (gone) 2003-06-07 17:23:14 PDT
->Fonts & Text, and cc'ing Shanjian, who created the patch for the related bug.
Comment 20 Christopher Hoess (gone) 2003-06-07 17:23:39 PDT
(reassign)
Comment 21 Marcelo Bastos 2004-04-30 07:54:38 PDT
Isn't this bug related (or even overlapping) bug 52109, bug 92176 and bug 54467 ?
Comment 22 HARUNAGA Hirotoshi 2004-10-06 09:26:29 PDT
the fix for bug 54467 had been broken between Mozilla 1.3.1 and 1.4.
it might be a regression by Bug 180266.
Comment 23 David Baron :dbaron: ⌚️UTC-8 2006-03-02 00:46:18 PST
There are some relevant patches on bug 45091 (and bug 328111).
Comment 24 Simon Montagu :smontagu 2007-10-18 00:28:43 PDT
Fixed by new text frame All the cases in the testcase currently work except for the undefined case 5. 

Note You need to log in before you can comment on or make changes to this bug.